Subject: [AVT] Re: Embedding SDP information in RTCP XR blocks

From: Amy Pendleton <[email-masked]>
Date: Wed, 3 Aug 2005 02:03:57 -0700 (PDT)

1. Mike Ramalho suggested that the session information embedded in RTCP XR blocks be moved from the High Resolution block to the Voice Quality Metric Algorithm Block which is sent with a much lower frequency. This is because it is acceptable to send this session information with a lower frequency. It should be sent when the codec changes due to an upspeed, for instance. I agree with this assessment.

Yes. Good idea.

<<Amy Pendleton>> I also agree. We will work on this for the next version.

2. I do not agree with the recommendation that the SDP information (except the encryption keys) be sent as verbatim text in any RTCP XR report. The proposed syntax in the internet draft more streamlined than a verbatim SDP session descriptor (minus keys, of course). What is gained by including SDP lines verbatim?

1. No need for ad hoc case-by case extensions if we discover we need a= or fmtp= data for a particular coder in order to properry interpret the reports.
2. Ensure that a snooper interprets things exactly the same way a UA would interpret the data.
3. the suggestion is to include the m= line and the non-security- related information in a a= and fmtp= stuff. It is also useful to know the mid information in case you want to corellate quality information across streams that are supposed to be coupled.

<<Amy Pendleton>> I personally think Dave has made a good point and we need to consider offering a way to include a= and fmtp= information. Although I am unaware of any existing QoE estimation/voice quality algorithms that need more information than we are currently providing, it is possible that one will exist in the future (or already exists and I am not familiar with it.)

Thanks,

Amy

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt